//
//  SleepController.swift
//  SleepController
//
//  Created by Gabriel Regis on 17/03/20.
//  Copyright © 2020 Facebook. All rights reserved.
//

import Foundation
import AVKit

var player: AVAudioPlayer?
@objc(SleepController) class SleepController: NSObject {

    @objc func stop(){
        do { try AVAudioSession.sharedInstance().setActive(false)
            print("Rolou")
        }
        catch {
        print("Não rolou")
        }
    }

    @objc(stopPlayer:)
    func stopPlayer(inSeconds: Int) {
        var audioPlayerTimer = Timer.scheduledTimer(timeInterval: TimeInterval(inSeconds), target: self, selector: #selector(SleepController.stop), userInfo: nil, repeats: false)
    }
}
